%global         pypi_name       emcee

Name:           python-emcee
Version:        2.2.1
Release:        %mkrel 1
Group:          Sciences/Mathematics
Summary:        A Python ensemble sampling toolkit for affine-invariant MCMC
Url:            http://dan.iel.fm/emcee/current/
License:        GPL
Source0:        https://pypi.python.org/packages/source/e/emcee/emcee-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-numpy

%description
Emcee is a stable, well tested Python implementation of the
affine-invariant ensemble sampler for Markov chain Monte Carlo (MCMC)
proposed by Goodman & Weare (2010). The code is open source and has
already been used in several published projects in the Astrophysics
literature.

%package -n python3-emcee
Summary:        Python3 implementation of Emcee
Group:          Sciences/Mathematics
BuildRequires:  pkgconfig(python3)
Requires:       python3-numpy

%description -n python3-emcee
%{summary}.




%prep
%setup -q -n %{pypi_name}-%{version}
%__rm -rf %{pypi_name}.egg-info



%build
%py2_build
%py3_build



%install
%py2_install
%py3_install



%files
%doc README.rst LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-emcee
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Dec 16 2016 eatdirt <eatdirt> 2.2.1-1.mga6
+ Revision: 1075636
- Upgrading to latest version 2.2.1 + adding python3 support
- Unobsoleting python-emcee

  + joequant <joequant>
    - not used

* Sat Feb 06 2016 umeabot <umeabot> 1.2.0-8.mga6
+ Revision: 940932
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-7.mga5
+ Revision: 740050
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-6.mga5
+ Revision: 728388
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 688017
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 543252
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.0-2.mga4
+ Revision: 498541
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 1.2.0-1.mga4
+ Revision: 463069
- imported package python-emcee

